package com.xhpc.charging.station.service;

import com.xhpc.common.core.web.domain.AjaxResult;
import com.xhpc.common.domain.XhpcPileEdition;

import javax.servlet.http.HttpServletRequest;
import java.util.List;
import java.util.Map;

/**
 * @author yuyang
 * @date 2022/8/30 14:09
 */
public interface IXhpcPileEditionService {


    /**
     * 查询版本列表
     * @return
     */
    List<Map<String, Object>> list(HttpServletRequest request, Long chargingStationId, String chargingPileIds);

    AjaxResult addPileEdition(HttpServletRequest request, XhpcPileEdition xhpcPileEdition);

    AjaxResult status(Long pileEditionId,Integer status);

    AjaxResult getChargingPileList(Long chargingStationId);
}
